#!/bin/sh
# the script searches for bakup files (*~) in the current dir and
# removes the appending ~
# it also in case deletes files that might be in the way,
# so be sure you want to run it ;)
# '(cr)' Thomas Lbking, 2005
cd $1;
for name in *~; do
   # find amount of '~' in filename
   i=1
   while [ "$(echo "$name" | cut -f$i- -d"~")" != "" ]; do ((i=$i+1)); done
   ((i=$i-1))
   # cut away appending '~'
   newname="$(echo "$name" | cut -f1-$i -d"~")"
   # delete curent file, one couldalso move it to some other name
   if [ -f $newname ]; then rm -f $newname; fi
   # restore file
   mv $name $newname
done

